List AI Gateway budgets
GET
https://api.vercel.com/ai-gateway/budgets/listList the team's AI Gateway budgets (team/project/user scopes, plus default-covered api-key spend) as a flat list, optionally filtered by scope.
https://api.vercel.com/ai-gateway/budgets/list
const response = await fetch('https://api.vercel.com/ai-gateway/budgets/list?scopeType=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "budgets": [ { "active": "false", "alertThresholds": [], "archived": "false", "createdAt": "123", "currentByokSpend": "123", "currentSpend": "123", "includeByokInQuota": "false", "limitAmount": "123", "name": "Example Name", "quotaEntityId": "example_id", "refreshPeriod": "daily", "scopeId": "example_id", "scopeType": "api-key", "source": "default", "updatedAt": "123" } ]}AuthorizationbearerToken
Default authentication mechanism